---
title: XRRenderState.inlineVerticalFieldOfView
slug: Web/API/XRRenderState/XRRenderState.inlineVerticalFieldOfView
tags:
  - '''Augmented Reality'
  - API
  - AR
  - Experimental
  - Interface
  - Reference
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XRRenderState
  - inlineVerticalFieldOfView
---
<div>{{draft}}{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p class="summary">The <strong><code>inlineVerticalFieldOfView</code></strong> read-only property of the {{domxref("XRRenderState")}} interface defines the angle of the field of view in radians used when computing projection matrices for <code>"inline"</code> {{domxref("XRSession")}} objects. This option must be <code>null</code> for immersive sessions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>aDouble</var> = XRRenderState.inlineVerticalFieldOfView;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Number")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR Device API','#dom-xrrenderstate-inlineverticalfieldofview','XRRenderState.inlineVerticalFieldOfView')}}</td>
   <td>{{Spec2('WebXR Device API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRRenderState.XRRenderState.inlineVerticalFieldOfView")}}</p>
